package com.tripto.bjlt;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.alibaba.fastjson.JSONObject;
import com.tripto.bjlt.utils.RedisCacheUtil;

/**
 * OP一切指令入口以及一切统计结果出口
 * @ClassName: OpServlet
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author zhangqifei 
 * @date 2018年3月28日 上午10:33:07
 */
public class OpServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	public OpServlet(){
        super();
    }
    
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		response.setContentType("application/json;charset=utf-8");//指定返回的格式为JSON格式  
		response.setCharacterEncoding("UTF-8");//setContentType与setCharacterEncoding的顺序不能调换，否则还是无法解决中文乱码的问题  
		request.setCharacterEncoding("UTF-8");
		JSONObject ReturnJson = new JSONObject();
		ReturnJson.put("status", 1);//执行成功
		try {
			//接受命令编码
			String typeCode = request.getParameter("typeCode");
			//接受命令编码
			//String value = request.getParameter("value");
			System.out.println("typeCode:"+typeCode);
			if(typeCode != null && typeCode.contains("SETCONTRO")){
				if(!typeCode.equals("SETCONTRO10")) {
					JSONObject itemJSONObj = JSONObject.parseObject(RedisCacheUtil.getRedis("CONTRO_"+typeCode.substring(9, typeCode.length())));
					ControManage.setContro(Integer.valueOf(typeCode.substring(9, typeCode.length())), itemJSONObj);
				}else {
					ControManage.setContro(Integer.valueOf(typeCode.substring(9, typeCode.length())), null);//里面进行加载
				}
				
			}else if(typeCode != null && typeCode.contains("GETCONTRO")){
				JSONObject retJson = ControManage.getContro(Integer.valueOf(typeCode.substring(9, typeCode.length())));
				ReturnJson.put("retValue", retJson);//获取结果
			}else {
				ReturnJson.put("status", 2);//执行失败
				ReturnJson.put("msg", "未知命令");
			}
		} catch (Exception e) {
			e.printStackTrace();
			ReturnJson.put("status", 2);//执行失败
			ReturnJson.put("msg", "执行出错:"+e);
		}
		PrintWriter out =null;
		out =response.getWriter();
		out.write(ReturnJson.toJSONString());  
		out.close();
	}

}
