package com.tripto.bjlt.utils;

import com.bjlt.spider.entity.SearchRequestEntity;
import com.bjlt.spider.entity.SearchResponseEntity;
import com.bjlt.spider.util.RespEntity;
import com.tripto.bjlt.interfaces.SpiderSearchRpc;

/**
 * 爬虫SearchUtil
 * @ClassName: SpiderSearchUtils 
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author zhangqifei 
 * @date 2018年4月2日 下午2:19:07
 */
public class SpiderSearchUtils {

	public static SpiderSearchRpc searchRpc;
	
	public static String istest = "1";
	
	/**
	 * 初始化
	 * @param search
	 * @param istest  其他.正常  0.测试  测试使用1.0.1通道
	 */
	public static void init(SpiderSearchRpc search,String iscs) {
		searchRpc = search;
		istest = iscs;
	}
	
	/**
	 * 查询请求
	 * @param re
	 * @return
	 */
	public static RespEntity search(SearchRequestEntity sre){
		System.out.println("请求数据："+sre);
		if(istest.equals("0")) {
			sre.setUuid("0");
		}
		return searchRpc.RoutineSearch(sre);
	}
	
	/**
	 * 查询请求
	 * @param re
	 * @return
	 */
	public static SearchResponseEntity verify(SearchRequestEntity sre){
		System.out.println("请求数据："+sre);
		return searchRpc.ValidateSearch(sre);
	}
}
